View Issue Details

IDProjectCategoryView StatusLast Update
0022125LazarusLazReportpublic2012-05-31 20:47
ReporterIhor LavrynyukAssigned ToJesus Reyes 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platformx64OSwindows 8OS VersionConsumer Preview
Product Version1.1 (SVN)Product Build37415 
Target VersionFixed in Version1.1 (SVN) 
Summary0022125: Access Violation in preview report
Descriptionhttp://www.youtube.com/watch?v=_kI4GN3qENk

after update from svn...
Additional Informationused datasource from and data table/query zeoslib - settings up
connections and table/query active
TagsNo tags attached.
Fixed in Revision37468
LazTarget-
WidgetsetWin32/Win64
Attached Files
  • log.txt (1,551 bytes)
    TLResourceList.Sort 471 DUPLICATE RESOURCE FOUND: TPRImage:XPM
    TMainIDE.ParseCmdLineOptions:
      PrimaryConfigPath="C:\Users\root\AppData\Local\lazarus"
      SecondaryConfigPath="C:\lazarus"
    TLResourceList.Sort 474 DUPLICATE RESOURCE FOUND: TPRImage:XPM
    TLResourceList.Sort 475 DUPLICATE RESOURCE FOUND: TPRImage:XPM
    TMainIDE.DoLoadLFM Creating designer for hidden component of C:\Users\root\Documents\ss\main.pas
    TMainIDE.DoOpenProjectFile select form in designer: frmMain:TfrmMain TDesigner
    #################### TOICustomPropertyGrid.DoCallEdit for TStringsPropertyEditor Edit=True
    TDesigner.InvokeComponentEditor A frReport:TfrReport
    TDesigner.InvokeComponentEditor B TfrRepEditor
    [WARNING] SetAlphaBlend called without handle for frProgressForm(TfrProgressForm)
    TApplication.HandleException Access violation
      Stack trace:
      $0040D700
      $00B225A2
      $00B21BE7
      $00B10A65
      $00B10935
      $00B1A7FD
      $00B1CA78
      $00B1CA3F
      $00B1A065
      $00B1A403
      $00B1C22B
      $00B1D445
      $00B1CFCA
      $00B1CCD0
      $00B24D68
      $00B240CA
      $00B5453F
    TApplication.HandleException Access violation
      Stack trace:
      $0040D700
      $00B225A2
      $00B21BE7
      $00B10A65
      $00B10935
      $00B1A7FD
      $00B1CA78
      $00B1CA3F
      $00B1A065
      $00B1A403
      $00B1C22B
      $00B1D445
      $00B1CFCA
      $00B1CCD0
      $00B24D68
      $00B240CA
      $00B5453F
    TMainIDE.DoSaveUnitComponent save lrt: C:\Users\root\Documents\ss\main.lrt
    LAZARUS END - cleaning up ...
    [TMainIDE.Destroy] A 
    [TMainIDE.Destroy] B  -> inherited Destroy... TMainIDE
    [TMainIDE.Destroy] END
    
    log.txt (1,551 bytes)
  • issue.zip (448,911 bytes)
  • issue_zeoslib.zip (448,698 bytes)

Activities

Jesus Reyes

2012-05-25 20:52

developer   ~0059955

please, in case of access violation, always attach a backtrace.

Either use the call stack lazarus window (the easier): http://wiki.lazarus.freepascal.org/IDE_Window:_Call_Stack or create a backtrace with gdb: http://wiki.lazarus.freepascal.org/Creating_a_Backtrace_with_GDB

2012-05-27 15:38

 

log.txt (1,551 bytes)
TLResourceList.Sort 471 DUPLICATE RESOURCE FOUND: TPRImage:XPM
TMainIDE.ParseCmdLineOptions:
  PrimaryConfigPath="C:\Users\root\AppData\Local\lazarus"
  SecondaryConfigPath="C:\lazarus"
TLResourceList.Sort 474 DUPLICATE RESOURCE FOUND: TPRImage:XPM
TLResourceList.Sort 475 DUPLICATE RESOURCE FOUND: TPRImage:XPM
TMainIDE.DoLoadLFM Creating designer for hidden component of C:\Users\root\Documents\ss\main.pas
TMainIDE.DoOpenProjectFile select form in designer: frmMain:TfrmMain TDesigner
#################### TOICustomPropertyGrid.DoCallEdit for TStringsPropertyEditor Edit=True
TDesigner.InvokeComponentEditor A frReport:TfrReport
TDesigner.InvokeComponentEditor B TfrRepEditor
[WARNING] SetAlphaBlend called without handle for frProgressForm(TfrProgressForm)
TApplication.HandleException Access violation
  Stack trace:
  $0040D700
  $00B225A2
  $00B21BE7
  $00B10A65
  $00B10935
  $00B1A7FD
  $00B1CA78
  $00B1CA3F
  $00B1A065
  $00B1A403
  $00B1C22B
  $00B1D445
  $00B1CFCA
  $00B1CCD0
  $00B24D68
  $00B240CA
  $00B5453F
TApplication.HandleException Access violation
  Stack trace:
  $0040D700
  $00B225A2
  $00B21BE7
  $00B10A65
  $00B10935
  $00B1A7FD
  $00B1CA78
  $00B1CA3F
  $00B1A065
  $00B1A403
  $00B1C22B
  $00B1D445
  $00B1CFCA
  $00B1CCD0
  $00B24D68
  $00B240CA
  $00B5453F
TMainIDE.DoSaveUnitComponent save lrt: C:\Users\root\Documents\ss\main.lrt
LAZARUS END - cleaning up ...
[TMainIDE.Destroy] A 
[TMainIDE.Destroy] B  -> inherited Destroy... TMainIDE
[TMainIDE.Destroy] END
log.txt (1,551 bytes)

Ihor Lavrynyuk

2012-05-27 16:03

reporter   ~0059996

Last edited: 2012-05-27 16:07

Program received signal SIGSEGV, Segmentation fault.
0x0040caf0 in SYSTEM$_$TOBJECT_$__$$_CLASSINFO$$POINTER ()

http://code.google.com/p/sbusiness/source/browse/trunk/readme.txt
all my project... for test
FrmMain->btnReports(Звіти)->btnRevisionOnStoreHouse(Ревізія на складі)->select 1 and ok

look log.txt from IDE (C:\lazarus\lazarus.exe --debug-log=c:\log.txt)

Lagunov Aleksey

2012-05-27 21:04

reporter   ~0059999

http://bugs.freepascal.org/view.php?id=22141
i'm try to fix error.

Lagunov Aleksey

2012-05-27 21:04

reporter   ~0060001

http://bugs.freepascal.org/view.php?id=22141
i'm try to fix error.

Jesus Reyes

2012-05-29 06:49

developer   ~0060028

please try after r37448 and give feedback.

Ihor Lavrynyuk

2012-05-29 09:28

reporter   ~0060038

Last edited: 2012-05-29 09:30

fixed but not full, in designer mode from Lazarus always give message: "Object "frDBDataSet" not found". From RunTime always SIGSEGV

issue.zip look sample

2012-05-29 09:29

 

issue.zip (448,911 bytes)

2012-05-29 09:46

 

issue_zeoslib.zip (448,698 bytes)

Issue History

Date Modified Username Field Change
2012-05-25 07:52 Ihor Lavrynyuk New Issue
2012-05-25 07:52 Ihor Lavrynyuk Widgetset => Win32/Win64
2012-05-25 20:47 Jesus Reyes Status new => assigned
2012-05-25 20:47 Jesus Reyes Assigned To => Jesus Reyes
2012-05-25 20:52 Jesus Reyes LazTarget => -
2012-05-25 20:52 Jesus Reyes Note Added: 0059955
2012-05-25 20:52 Jesus Reyes Status assigned => feedback
2012-05-27 15:38 Ihor Lavrynyuk File Added: log.txt
2012-05-27 16:03 Ihor Lavrynyuk Note Added: 0059996
2012-05-27 16:07 Ihor Lavrynyuk Note Edited: 0059996
2012-05-27 21:04 Lagunov Aleksey Note Added: 0059999
2012-05-27 21:04 Lagunov Aleksey Note Added: 0060001
2012-05-29 06:49 Jesus Reyes Note Added: 0060028
2012-05-29 09:28 Ihor Lavrynyuk Note Added: 0060038
2012-05-29 09:29 Ihor Lavrynyuk File Added: issue.zip
2012-05-29 09:30 Ihor Lavrynyuk Note Edited: 0060038
2012-05-29 09:46 Ihor Lavrynyuk File Added: issue_zeoslib.zip
2012-05-31 20:41 Jesus Reyes Fixed in Revision => 37468
2012-05-31 20:41 Jesus Reyes Status feedback => resolved
2012-05-31 20:41 Jesus Reyes Fixed in Version => 1.1 (SVN)
2012-05-31 20:41 Jesus Reyes Resolution open => fixed
2012-05-31 20:47 Ihor Lavrynyuk Status resolved => closed